## org.springframework.web.portlet.context
Interface PortletContextAware

All Known Implementing Classes:
  AbstractCommandController, AbstractController, AbstractFormController, AbstractWizardFormController, AnnotationMethodHandlerAdapter, BaseCommandController, CommonsPortletMultipartResolver, ParameterizableViewController, PortletApplicationObjectSupport, PortletContentGenerator, PortletWrappingController, SimpleFormController, SimplePortletPostProcessor

    public interface PortletContextAware

Interface to be implemented by any object that wishes to be notified of the PortletContext (typically determined by the PortletApplicationContext) that it runs in.

Since:
  2.0
Author:
  Juergen Hoeller, William G. Thompson, Jr.
See Also:
  `PortletConfigAware`

Method Summary
`void` `setPortletContext(javax.portlet.PortletContext portletContext)` Set the PortletContext that this object runs in.

Method Detail

### setPortletContext

    void setPortletContext(javax.portlet.PortletContext portletContext)

  Set the PortletContext that this object runs in.

  Invoked after population of normal bean properties but before an init callback like InitializingBean's afterPropertiesSet or a custom init-method. Invoked after ApplicationContextAware's setApplicationContext.

  Parameters:
    `portletContext` - PortletContext object to be used by this object

Copyright © 2002-2008 The Spring Framework.